/*****************************************************************************/
/* Object REXX made Homepage                                     orxhome.cmd */ 
/*                                                                           */
/* (C) Copyright IBM Corporation 1999.                                       */
/*                                                                           */
/* This code is sample code, provided "AS IS", without warranty of any kind  */
/*****************************************************************************/

html = .myHtml~new                     /* create an HTML object to work with */
html~title('Dynamic HTML using Object REXX', , 'TEXT="#FFFF80" LINK="#77FF00"',
           'VLINK="#008000" ALINK="#0000FF" BACKGROUND="/orxwww/blank.gif"')  
html~h1("Sample with Mouse-Over Events")
html~br("The samples below are to demonstrate the simplicity of CGI programming with Object REXX.")
html~br('The HTML source of this page was created dynamically using a sample HTML class.')   
html~br('Have fun with trying the buttons below!')   
html~hr
  
html~h2("Dynamic HTLM Samples")
html~p~arefmouse("/cgi-bin/orxwww/www1?0", 0, "/orxwww/info_d.gif", "/orxwww/info.gif",,
                "Product Information", "BORDER=0") 
html~p~arefmouse("/cgi-bin/orxwww/www2?0", 1,"/orxwww/amort_d.gif", "/orxwww/amort.gif",,
                "Loan amortization", "BORDER=0") 
html~p~arefmouse("/cgi-bin/orxwww/www3?0" ,2,"/orxwww/addr_d.gif", "/orxwww/addr.gif",,
                "Address list from a file", "BORDER=0") 
html~p~arefmouse("/cgi-bin/orxwww/www4?0", 3,"/orxwww/err_d.gif", "/orxwww/err.gif",,
                "Generate error report", "BORDER=0") 
html~p
html~footing("/orxwww/orxhome.cmd")    /* footing with code reference        */
return html~end                        /* end HTML document and return it    */

::requires "myhtml.cls"                /* load myHtml class                  */